Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TExecuteSqlNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TExecuteSqlNode

All Implemented Interfaces:
  Visitable

    public class TExecuteSqlNode

extends TParseTreeNode

Constructor Summary
`TExecuteSqlNode()`

Method Summary
`int` | `getExecType()`
`TObjectName` | `getModuleName()`
`TExecParameterList` | `getParameters()`
`TObjectName` | `getReturnStatus()`
`TExpressionList` | `getStringValues()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`void` | `setExecType(int execType)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TExecuteSqlNode

    public TExecuteSqlNode()

Method Detail

### setExecType

    public void setExecType(int execType)

### getExecType

    public int getExecType()

### getStringValues

    public TExpressionList getStringValues()

### getModuleName

    public TObjectName getModuleName()

### getParameters

    public TExecParameterList getParameters()

### getReturnStatus

    public TObjectName getReturnStatus()

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

  Overrides:
    `init` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD